%define DisableOffensiveFortunes 1
%define CookieDir %{_prefix}/games/fortune

Summary: A program which will display a fortune.
Name:		fortune-mod
Version:	1.0
Release:	24.fdr.3.rh90
Epoch:		0
URL:		http://www.ibiblio.org/pub/Linux/games/amusements/fortune/fortune-mod-9708.README
License: BSD
Group: Amusements/Games
Source: http://www.ibiblio.org/pub/Linux/games/amusements/fortune/fortune-mod-9708.tar.gz
Source1: kernelnewbies-fortunes.tar.gz
Source2: bofh-excuses.tar.bz2
Source3: http://www.aboleo.net/software/misc/fortune-tao.tar.gz
Source4: http://www.splitbrain.org/Fortunes/hitchhiker/fortune-hitchhiker.tgz
Source5: http://www.dibona.com/opensources/osfortune.tar.gz
Patch0: fortune-mod-offense.patch
Patch1: fortune-mod-1.0-remove-offensive.patch
Patch2: fortune-mod-1.0-remove-offensive-option.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

%description
Fortune-mod contains the ever-popular fortune program, which will
display quotes or witticisms. Fun-loving system administrators can add
fortune to users' .login files, so that the users get their dose of
wisdom each time they log in.

%prep
%setup -q -n fortune-mod-9708

%if %{DisableOffensiveFortunes}
%patch0 -p1 -b .disable-offensive1
%patch1 -p0 -b .disable-offensive2
%patch2 -p0 -b .remove-offensive-option
%endif

%build
make COOKIEDIR=%{_prefix}/games/fortune \
	FORTDIR=%{_bindir} BINDIR=%{_sbindir}

%install
rm -rf %{buildroot}

make    COOKIEDIR=%{_prefix}/games/fortune fortune/fortune.man
make	FORTDIR=%{buildroot}/%{_bindir} \
	COOKIEDIR=%{buildroot}%{_prefix}/games/fortune \
	BINDIR=%{buildroot}/%{_sbindir} \
	BINMANDIR=%{buildroot}/%{_mandir}/man1 \
	FORTMANDIR=%{buildroot}/%{_mandir}/man6 \
	install

tar zxvf %{SOURCE1} -C %{buildroot}%{_prefix}/games/fortune/
%if %{DisableOffensiveFortunes}
rm %{buildroot}%{_prefix}/games/fortune/men-women*
%endif

# Using bzcat for portability because tar keeps randomly changing the switch
# for bzip.  It was "y" at one point, then "I", and now it is "j".  God knows
# WTF they'll change it too next.

bzcat %{SOURCE2} | tar xvf - -C %{buildroot}%{_prefix}/games/fortune/

# Non-standard source files, need to move things around
tar zxvf %{SOURCE3} -C %{buildroot}%{CookieDir}/ fortune-tao/tao*
mv %{buildroot}%{CookieDir}/fortune-tao/* %{buildroot}%{CookieDir}/
rmdir %{buildroot}%{CookieDir}/fortune-tao

tar zxvf %{SOURCE4} -C %{buildroot}%{CookieDir}/ fortune-hitchhiker/hitch*
mv %{buildroot}%{CookieDir}/fortune-hitchhiker/* %{buildroot}%{CookieDir}/
rmdir %{buildroot}%{CookieDir}/fortune-hitchhiker

tar zxvf %{SOURCE5} -C %{buildroot}%{CookieDir}/
chmod 644 %{buildroot}%{CookieDir}/osfortune*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog TODO
%{_bindir}/fortune
%{_sbindir}/strfile
%{_sbindir}/unstr
%{_prefix}/games/fortune
%{_mandir}/man*/*

%changelog
* Sun May 04 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 1.0-24.fdr.3
- Added Tao Te Ching (fortune-tao), O'Reilly (osfortune) and H2G2 (fortune-hitchhiker) cookies
- Fixed BuildRoot
- Added Epoch
- Reverted to .tar.gz for main source, .tar.bz2 not available upstream

* Fri May 02 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 1.0-24.fdr.2
- Modified installation paths to conform with Red Hat-packaged games, i.e. binaries in /usr and data files under /usr/games

* Fri May 02 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 1.0-24.fdr.1
- Converted from fortune-mod-1.0-24 from RH8.0
- Updated package naming, added URL

* Thu Aug 22 2002 Mike A. Harris <mharris@redhat.com> 1.0-24
- Removed -o option from fortune, the manpage and --help message, as
  we do not provide or support the offensive fortunes for obvious
  reasons.  (#54713)
